Subject: Re: linux-next: build failure after merge of the fbdev tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 24 Jun 2019 14:15:54 +1000

Hi all,

On Mon, 24 Jun 2019 11:45:38 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Thu, 20 Jun 2019 11:41:26 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the fbdev tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > x86_64-linux-gnu-ld: drivers/gpu/vga/vga_switcheroo.o: in function `vga_switchto_stage2':
> > vga_switcheroo.c:(.text+0x997): undefined reference to `fbcon_remap_all'
> > 
> > Caused by commit
> > 
> >   1cd51b5d200d ("vgaswitcheroo: call fbcon_remap_all directly")
> > 
> > I have used the version of the fbdev tree from next-20190619 for today.  
> 
> I am still getting this failure.

This has now been merged into the drm-intel and drm trees :-( .
Something has gone wrong as Daniel was cc'd on the original build
failure report.

I have reverted commits

  1cd51b5d200d ("vgaswitcheroo: call fbcon_remap_all directly")
  fe2d70d6f6ff ("fbcon: Call con2fb_map functions directly")

for today.
-- 
Cheers,
Stephen Rothwell